package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumCouponOrderValidStatus {

    PREPARED(0, "未到使用期"),
    STARTED(1, "可使用"),
    ENDED(1, "已过使用期"),
    ;

    public static EnumCouponOrderValidStatus getEnum(Integer code) {
        for (EnumCouponOrderValidStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumCouponOrderValidStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
